Add Apps To Access Review
curl --request POST \
--url https://api.lumos.com/access_reviews/{access_review_id}/apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apps": [
{
"id": "00000000-0000-0000-0000-000000000002",
"review_type": "ENTITLEMENTS"
}
]
}
'import requests
url = "https://api.lumos.com/access_reviews/{access_review_id}/apps"
payload = { "apps": [
{
"id": "00000000-0000-0000-0000-000000000002",
"review_type": "ENTITLEMENTS"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
apps: [{id: '00000000-0000-0000-0000-000000000002', review_type: 'ENTITLEMENTS'}]
})
};
fetch('https://api.lumos.com/access_reviews/{access_review_id}/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/access_reviews/{access_review_id}/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'apps' => [
[
'id' => '00000000-0000-0000-0000-000000000002',
'review_type' => 'ENTITLEMENTS'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/access_reviews/{access_review_id}/apps"
payload := strings.NewReader("{\n \"apps\": [\n {\n \"id\": \"00000000-0000-0000-0000-000000000002\",\n \"review_type\": \"ENTITLEMENTS\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lumos.com/access_reviews/{access_review_id}/apps")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"apps\": [\n {\n \"id\": \"00000000-0000-0000-0000-000000000002\",\n \"review_type\": \"ENTITLEMENTS\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/access_reviews/{access_review_id}/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"apps\": [\n {\n \"id\": \"00000000-0000-0000-0000-000000000002\",\n \"review_type\": \"ENTITLEMENTS\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"added_apps": [
{
"id": "<string>",
"domain_app_id": "<string>",
"domain_app_name": "<string>",
"domain_app_sources": [
"<string>"
],
"status": "IN_PREPARATION",
"review_type": "ACCOUNTS",
"app_last_synced_at": "2023-11-07T05:31:56Z",
"last_synced_at": "2023-11-07T05:31:56Z",
"account_count": 123,
"launched_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"scope_filters": [
{}
]
}
],
"errors": [
{
"app_id": "<string>",
"error": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Access Reviews
Add Apps To Access Review
Add apps to an existing access review. Allowed on any review that is not yet COMPLETED. Soft-errors on invalid or duplicate domain app UUIDs — per-app failures are returned in the errors array rather than raising.
POST
/
access_reviews
/
{access_review_id}
/
apps
Add Apps To Access Review
curl --request POST \
--url https://api.lumos.com/access_reviews/{access_review_id}/apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apps": [
{
"id": "00000000-0000-0000-0000-000000000002",
"review_type": "ENTITLEMENTS"
}
]
}
'import requests
url = "https://api.lumos.com/access_reviews/{access_review_id}/apps"
payload = { "apps": [
{
"id": "00000000-0000-0000-0000-000000000002",
"review_type": "ENTITLEMENTS"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
apps: [{id: '00000000-0000-0000-0000-000000000002', review_type: 'ENTITLEMENTS'}]
})
};
fetch('https://api.lumos.com/access_reviews/{access_review_id}/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/access_reviews/{access_review_id}/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'apps' => [
[
'id' => '00000000-0000-0000-0000-000000000002',
'review_type' => 'ENTITLEMENTS'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/access_reviews/{access_review_id}/apps"
payload := strings.NewReader("{\n \"apps\": [\n {\n \"id\": \"00000000-0000-0000-0000-000000000002\",\n \"review_type\": \"ENTITLEMENTS\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lumos.com/access_reviews/{access_review_id}/apps")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"apps\": [\n {\n \"id\": \"00000000-0000-0000-0000-000000000002\",\n \"review_type\": \"ENTITLEMENTS\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/access_reviews/{access_review_id}/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"apps\": [\n {\n \"id\": \"00000000-0000-0000-0000-000000000002\",\n \"review_type\": \"ENTITLEMENTS\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"added_apps": [
{
"id": "<string>",
"domain_app_id": "<string>",
"domain_app_name": "<string>",
"domain_app_sources": [
"<string>"
],
"status": "IN_PREPARATION",
"review_type": "ACCOUNTS",
"app_last_synced_at": "2023-11-07T05:31:56Z",
"last_synced_at": "2023-11-07T05:31:56Z",
"account_count": 123,
"launched_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"scope_filters": [
{}
]
}
],
"errors": [
{
"app_id": "<string>",
"error": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
List of domain apps to add to the access review. Capped at 200 entries per the Access Review scale limits (technically-supported tier).
Maximum array length:
200Show child attributes
Show child attributes
Response
Successful Response
Apps that were successfully added to the access review.
Show child attributes
Show child attributes
Per-app errors for any domain apps that could not be added (invalid, not connected, or already present).
Show child attributes
Show child attributes